Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003697 [JEDI VCL] 00 JVCL Components minor always 2006-05-10 11:52 2006-06-07 03:40
Reporter Frenk3 View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.20
Summary 0003697: TJvPluginManager.Plugins[0].FileName does return invalid file name
Description TJvPluginManager.Plugins returns invalid FileName ("CustomPlugin" for all
plugins). For internal use I modified a method

function AddCustomPlugin(PlugIn: TJvPlugIn ): Boolean
to
function AddCustomPlugin(PlugIn: TJvPlugIn; FileName : string): Boolean
and added
function TJvPluginManager.AddCustomPlugin(PlugIn: TJvPlugIn; FileName :
string ): Boolean;
var
  PlgInfo: TPluginInfo;
  Counter: Integer;
begin
  Result := False;
  try
// Result := PlugIn.Initialize(Self, Application, 'CustomPlugin');
// error!
    Result := PlugIn.Initialize(Self, Application, FileName);
    if not Result then

also added to procedure

procedure TJvPluginManager.LoadPlugin(FileName: string; PlgKind:
TPluginKind);

      // initialize the plugin and add to list
      if AddCustomPlugin(PlugIn, FileName) then
Additional Information I attached the unit with fixes (modified by Frenk)
Tags No tags attached.
Attached Files ? file icon JvPluginManager.pas [^] (16,290 bytes) 2006-05-10 11:52

- Relationships

-  Notes
(0009334)
obones (administrator)
2006-05-21 09:36

Can you provide a diff file instead ?
(0009405)
obones (administrator)
2006-06-07 03:40

A slight variation of this is now in CVS.

- Issue History
Date Modified Username Field Change
2006-05-10 11:52 Frenk3 New Issue
2006-05-10 11:52 Frenk3 File Added: JvPluginManager.pas
2006-05-21 09:36 obones Note Added: 0009334
2006-05-21 09:36 obones Status new => feedback
2006-06-07 03:40 obones Status feedback => resolved
2006-06-07 03:40 obones Resolution open => fixed
2006-06-07 03:40 obones Assigned To => obones
2006-06-07 03:40 obones Note Added: 0009405


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker